Bug 560267 - SELinux is preventing /usr/bin/pulseaudio "read" access on /dev/snd/controlC0.
Summary: SELinux is preventing /usr/bin/pulseaudio "read" access on /dev/snd/controlC0.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e63a8f50a8a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-30 17:47 UTC by Don Vogt
Modified: 2010-02-11 14:41 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:41:37 UTC


Attachments (Terms of Use)

Description Don Vogt 2010-01-30 17:47:13 UTC
Summary:

SELinux is preventing /usr/bin/pulseaudio "read" access on /dev/snd/controlC0.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by pulseaudio. It is not expected that this
access is required by pulseaudio and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c314,c684
Target Context                system_u:object_r:sound_device_t:s0
Target Objects                /dev/snd/controlC0 [ chr_file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-0.9.21-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-73.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux localhost.localdomain
                              2.6.31.12-174.2.3.fc12.i686 #1 SMP Mon Jan 18
                              20:22:46 UTC 2010 i686 athlon
Alert Count                   1
First Seen                    Sat 30 Jan 2010 12:45:13 PM EST
Last Seen                     Sat 30 Jan 2010 12:45:13 PM EST
Local ID                      706ae789-28a0-4361-8b90-b7e6024048f2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264873513.436:21139): avc:  denied  { read } for  pid=9552 comm="pulseaudio" path="/dev/snd/controlC0" dev=tmpfs ino=9287 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c314,c684 tcontext=system_u:object_r:sound_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1264873513.436:21139): arch=40000003 syscall=3 success=yes exit=72 a0=16 a1=bfcbde84 a2=48 a3=823d740 items=0 ppid=1 pid=9552 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="pulseaudio" exe="/usr/bin/pulseaudio" subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c314,c684 key=(null)



Hash String generated from  selinux-policy-3.6.32-73.fc12,catchall,pulseaudio,sandbox_web_client_t,sound_device_t,chr_file,read
audit2allow suggests:

#============= sandbox_web_client_t ==============
allow sandbox_web_client_t sound_device_t:chr_file read;

Comment 1 Don Vogt 2010-01-30 17:54:14 UTC
I was trying to play firefox/flash video, not in sandbox. there was another bug that stopped write access, that i am not reporting separately. I  have been getting many similar bugs when using sandbox -X which I reported in bug #560186.

Comment 2 Daniel Walsh 2010-02-01 17:16:17 UTC
Miroslav I think we need to add

dev_write_sound(sandbox_web_client_t)
dev_read_sound(sandbox_web_client_t)

Comment 3 Miroslav Grepl 2010-02-01 19:25:48 UTC
Added to selinux-policy-3.6.32-80.fc12

Comment 4 Fedora Update System 2010-02-03 23:20:06 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 5 Fedora Update System 2010-02-05 01:44:09 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 6 Fedora Update System 2010-02-11 14:36:50 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.